Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1333771 - Traceback from copr-cli when missing --pythonversions
Summary: Traceback from copr-cli when missing --pythonversions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-06 11:52 UTC by Miroslav Suchý
Modified: 2016-06-07 01:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-03 14:34:33 UTC
Embargoed:


Attachments (Terms of Use)

Description Miroslav Suchý 2016-05-06 11:52:30 UTC
Description of problem:
 /usr/bin/python2 /usr/bin/copr-cli --config /home/msuchy/.config/copr buildpypi msuchy/barbar --packagename zope.i18n --nowait Traceback (most recent call last):
  File "/usr/bin/copr-cli", line 9, in <module>
    load_entry_point('copr-cli==1.50', 'console_scripts', 'copr-cli')()
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 551, in main
    getattr(commands, arg.func)(arg)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 69, in wrapper
    return func(self, args)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 203, in action_build_pypi
    username=username)
  File "/usr/lib/python2.7/site-packages/copr/client/client.py", line 403, in create_new_build_pypi
    "python_versions": [str(version) for version in python_versions],
TypeError: 'NoneType' object is not iterable

Version-Release number of selected component (if applicable):
copr-cli-1.50-1.git.53.6dfed0b.fc23.noarch

Comment 1 clime 2016-05-09 07:06:04 UTC
Fixed by https://github.com/fedora-copr/copr/commit/669a0993.

Comment 2 Fedora Update System 2016-05-27 15:13:40 UTC
copr-cli-1.51-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3549586cc

Comment 3 Fedora Update System 2016-05-28 03:24:23 UTC
copr-cli-1.51-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3549586cc

Comment 4 clime 2016-06-03 14:34:33 UTC
New COPR version was released.

Comment 5 Fedora Update System 2016-06-07 01:24:40 UTC
copr-cli-1.51-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.